Bug 195064 - LowPerformance took 29951 ms.
LowPerformance took 29951 ms.
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: Designer
6.x
All All
: P3 (vote)
: 7.0.1
Assigned To: Denis Anisimov
issues@webservices
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 11:02 UTC by Exceptions Reporter
Modified: 2011-04-29 04:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (47.27 KB, application/nps)
2011-02-04 11:02 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-02-04 11:02:45 UTC
Build: NetBeans IDE 6.9.1 (Build 201011082200)
VM: Java HotSpot(TM) Client VM, 17.1-b03, Java(TM) SE Runtime Environment, 1.6.0_22-b04
OS: Windows XP

User Comments:
GUEST: cliauefglwekjb.dlkghyb 
Comment 1 Exceptions Reporter 2011-02-04 11:02:51 UTC
Created attachment 105643 [details]
nps snapshot
Comment 2 Denis Anisimov 2011-02-04 15:23:17 UTC
UI is blocked due access to Java infrastructure at the same time when 
Java parser works.
The java model access should be done in the separate thread with updating UI 
at the end of the calculation.

This bug is not for upcoming release ( 7.0 ).
Will be fixed in the next release.
Comment 3 Denis Anisimov 2011-04-27 11:00:10 UTC
changeset:   192948:20e29cf68994
Comment 4 Quality Engineering 2011-04-29 04:42:28 UTC
Integrated into 'main-golden', will be available in build *201104290000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/20e29cf68994
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#195064 - LowPerformance took 29951 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo